<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <?php
      if (!$db = mysqli_connect("localhost", "php", "test")){
        echo 'Błąd podczas próby połączenia z serwerem MySQL...<br>';
        echo '</body></html>';
        exit();
      }

      if(!mysqli_select_db($db, 'testphp')){
        mysqli_close($db);
        echo 'Błąd podczas wyboru bazy danych: testphp <br>';
        echo '</body></html>';
        exit();
      }

      if(isset($_GET['sortid'])){
        $sortid = (int) $_GET['sortid'];
      }
      else{
        $sortid = 1;
      }

      switch($sortid){
        case 1://ten przypadek można pominąć, ze względu na klauzulę default
          $sortColumn = "Id";
          break;
        case 2:
          $sortColumn = "Imie";
          break;
        case 3:
          $sortColumn = "Nazwisko";
          break;
        case 4:
          $sortColumn = "Rok_urodzenia";
          break;
        case 5:
          $sortColumn = "Miejsce_urodzenia";
          break;
        default :
          $sortColumn = "Id";
      }

      $query = "SELECT * FROM osoba ORDER BY $sortColumn";

      if(!$result = mysqli_query($db, $query)){
        mysqli_close($db);
        echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
        echo '</body></html>';
        exit();
      }
    ?>

    <table>
    
    <?php
      $row = mysqli_fetch_array($result, MYSQLI_ASSOC);

      echo "<tr>";
      foreach($row as $key => $val){
        echo "<td>$key</td>";
      }
      echo "</tr>";

      echo "<tr>";
      foreach($row as $val){
        echo "<td>$val</td>";
      }
      echo "</tr>";

      while($row = mysqli_fetch_array($result, MYSQLI_ASSOC)){
        echo("<tr>");
        foreach($row as $val){
          echo "<td>$val</td>";
        }
        echo("</tr>");
      }
    ?>

    </table>

    <?php
    if(!mysqli_close($db)){
      echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br>';
    }
    ?>
  </body>
</html>
